This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 833779 - Information about entity beans is missing
Information about entity beans is missing
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.0
Unspecified Unspecified
unspecified Severity low
: ---
: EAP 6.0.1
Assigned To: Dana Mison
ecs-bugs
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-20 06:52 EDT by Ondrej Chaloupka
Modified: 2013-03-20 21:56 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Instance Name: Not Defined Build: CSProcessor Builder Version 1.5 Build Filter: null Build Name: Build Date: 20-06-2012 17:08:21
Last Closed: 2013-03-20 21:56:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ondrej Chaloupka 2012-06-20 06:52:31 EDT
There are missing information about existence of entity beans in paragraph that introduces EJB beans (documentation-stage.bne.redhat.com/docs/en-US/JBoss_Enterprise_Application_Platform/6/html-single/Administration_and_Configuration_Guide/index.html#Enterprise_JavaBeans).
Specification of EJB3 covers specification of EJB2 as well so the entity beans are still valid to use.
Comment 1 Dana Mison 2012-07-10 01:24:08 EDT
Actually upon closer inspection this section "16.1.3" should be removed.  It is titled "Enterprise JavaBeans", but actually is a description of "Enterprise Beans".  The following section, "16.1.4", actually describes Enterprise Beans including reference to 2.x Entity Beans although it doesn't explicitly state that EJB3.x includes the features of 2.x.

See: http://documentation-stage.bne.redhat.com/docs/en-US/JBoss_Enterprise_Application_Platform/6/html-single/Administration_and_Configuration_Guide/index.html#Enterprise_Beans

I'll remove 16.1.3 and update the other section to make it more clear that EJB3.x includes the functionality of 2.x.
Comment 3 Dana Mison 2012-07-29 23:09:20 EDT
Sorry, 16.1.3 didn't get removed.  Rebuild tomorrow afternoon should be missing it.

Clarified entity beans with the following text:

"There are three types of Enterprise Bean: Session beans, Message-driven beans and Entity beans.

Important
Entity beans are now deprecated in EJB 3.1 and Red Hat recommends the use of JPA entities instead. Red Hat only recommends the use of Entity beans for backwards compatibility with legacy systems.
"
Comment 5 Dana Mison 2012-07-31 00:52:20 EDT
section is actually removed now

Note You need to log in before you can comment on or make changes to this bug.